diff a/modules/javafx.graphics/src/test/java/test/javafx/css/Node_cssStateTransition_Test.java b/modules/javafx.graphics/src/test/java/test/javafx/css/Node_cssStateTransition_Test.java
--- a/modules/javafx.graphics/src/test/java/test/javafx/css/Node_cssStateTransition_Test.java
+++ b/modules/javafx.graphics/src/test/java/test/javafx/css/Node_cssStateTransition_Test.java
@@ -39,28 +39,38 @@
 import javafx.scene.paint.Color;
 import javafx.scene.paint.Paint;
 import javafx.scene.shape.Rectangle;
 import static org.junit.Assert.*;
 
+import org.junit.AfterClass;
 import org.junit.Before;
 import org.junit.Test;
 
 public class Node_cssStateTransition_Test {
 
     public Node_cssStateTransition_Test() {
     }
 
-    @Before
-    public void setUp() {
+    private static void resetStyleManager() {
         StyleManager sm = StyleManager.getInstance();
         sm.userAgentStylesheetContainers.clear();
         sm.platformUserAgentStylesheetContainers.clear();
         sm.stylesheetContainerMap.clear();
         sm.cacheContainerMap.clear();
         sm.hasDefaultUserAgentStylesheet = false;
     }
 
+    @Before
+    public void setUp() {
+        resetStyleManager();
+    }
+
+    @AfterClass
+    public static void cleanupOnce() {
+        resetStyleManager();
+    }
+
     @Test
     public void testPropertiesResetOnStyleclassChange() {
 
         Rectangle rect = new Rectangle(50,50);
         Paint defaultFill = rect.getFill();
